## mxcheck 1.7.0

=== Makefile ===
ROOT_DIR:=$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
BINARY=mxcheck
VERSION=v1.7.0

BUILD=$(shell git rev-parse --short HEAD)
PLATFORMS=darwin linux windows
ARCHITECTURES=amd64 arm64

LDFLAGS=-ldflags "-X main.Version=${VERSION} -X main.Build=${BUILD} -w -s"
BLDFLAGS=-buildmode=pie

all: clean build_all

build:
	go build ${BLDFLAGS} ${LDFLAGS} -o ${BINARY}

build_all: $(foreach GOOS,$(PLATFORMS),$(foreach GOARCH,$(ARCHITECTURES),build_$(GOOS)_$(GOARCH)))

define build_template
build_$(1)_$(2):
	GOOS=$(1) GOARCH=$(2) go build $(BLDFLAGS) $(LDFLAGS) -o $(BINARY)-$(1)-$(2)
	tar cvfz $(BINARY)_$(1)_$(2)_$(VERSION).tar.gz $(if $(findstring windows,$(1)),$(BINARY)-$(1)-$(2).exe,$(BINARY)-$(1)-$(2))
	rm $(if $(findstring windows,$(1)),$(BINARY)-$(1)-$(2).exe,$(BINARY)-$(1)-$(2))
endef

$(foreach GOOS,$(PLATFORMS),$(foreach GOARCH,$(ARCHITECTURES),$(eval $(call build_template,$(GOOS),$(GOARCH)))))

clean:
	rm -f ${BINARY}-*
	rm -f *.tar.gz

.PHONY: clean build build_all $(foreach GOOS,$(PLATFORMS),$(foreach GOARCH,$(ARCHITECTURES),build_$(GOOS)_$(GOARCH)))

=== debian/changelog ===
mxcheck (1.7.0-0kali1) kali-dev; urgency=medium

  * New upstream version 1.7.0
  * Drop patches applied upstream
  * Bump standards version, no changes needed
  * Add myself as uploader and in copyright
  * Comment out unused build dependencies
  * Document that ca-certificates is only needed for unit tests

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 06 Jun 2025 10:04:25 +0700

mxcheck (1.6.2-0kali3) kali-dev; urgency=medium

  * Revert "Skip Test_getDKIM"
  * Import upstream patch

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 27 Feb 2025 15:56:15 +0700

mxcheck (1.6.2-0kali2) kali-dev; urgency=medium

  * Skip Test_getDKIM

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 26 Feb 2025 10:56:58 +0700

mxcheck (1.6.2-0kali1) kali-dev; urgency=medium

  * New upstream version 1.6.2
  * Add ca-certificates to build dependencies

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 10 Jan 2025 14:03:04 +0100

mxcheck (1.6.1-0kali2) kali-dev; urgency=medium

  * Fix tests

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 19 Jul 2024 10:08:55 +0200

mxcheck (1.6.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Arslan Masood <contact@arszilla.com>  Mon, 24 Jun 2024 12:45:34 +0300

=== debian/control ===
Source: mxcheck
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders:
 Arnaud Rebillout <arnaudr@kali.org>,
 Arslan Masood <contact@arszilla.com>,
Rules-Requires-Root: no
Build-Depends:
 ca-certificates <!nocheck>,
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
# Already included in the vendor tree:
# golang-github-jamesog-iptoasn-dev,
# golang-github-logrusorgru-aurora-dev,
# golang-github-miekg-dns-dev,
# golang-github-spf13-pflag-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://gitlab.com/kalilinux/packages/mxcheck
Vcs-Git: https://gitlab.com/kalilinux/packages/mxcheck.git
Homepage: https://github.com/steffenfritz/mxcheck
XS-Go-Import-Path: github.com/steffenfritz/mxcheck

Package: mxcheck
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Info and security scanner for e-mail servers
 mxcheck is an info scanner for e-mail servers, checking:
 .
    - DNS records: A, MX, PTR, SPF, MTA-STS, DKIM, DMARC
    - AS Number and AS Country
    - The support of StartTLS and the certificate
    - Open ports: 25, 465, 587
    - If the service is listed by blacklists
    - If it leaks information by server string and VRFY command
    - If the server is an open relay

=== debian/tests/control ===
Test-Command: mxcheck --version
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/steffenfritz/mxcheck/tags .*/v?(\d\S*)\.tar\.gz debian

## mxcheck 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ROOT_DIR:=$(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
 BINARY=mxcheck
-VERSION=v1.7.0
+VERSION=v1.8.0
 
 BUILD=$(shell git rev-parse --short HEAD)
 PLATFORMS=darwin linux windows

=== debian/changelog ===
mxcheck (1.8.0-0kali1) kali-dev; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control

  [ Daniel Ruiz de Alegría ]
  * New upstream version 1.8.0

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Mon, 08 Dec 2025 11:10:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders:
  Arnaud Rebillout <arnaudr@kali.org>,
  Arslan Masood <contact@arszilla.com>,
-Rules-Requires-Root: no
 Build-Depends:
  ca-certificates <!nocheck>,
  debhelper-compat (= 13),
